ChiliProject - Feature # 436: Clean up trailing whitespace and tabs

Status: Closed Priority: Normal

Author: Eric Davis Category: Refactoring

Created: 2011-05-29 Assignee: Holger Just

Updated: 2011-05-31 Due date:

Remote issue URL:

Affected version:

Description: In order to update our existing code to the [[Code Standards]] we need to remove all trailing whitespace and

tabs. | found these rake tasks we might be able to use but | haven't tested them yet.

https://github.com/diaspora/diaspora/blob/c937f76433d96cf6b92649fd546a58dcdd085ee4/lib/tasks/whitespac

e.rake

Associated revisions

2011-05-30 08:49 pm - Holger Just

[#436] Adapt rake task to also clean trailing whitespace

2011-05-30 08:52 pm - Holger Just
[#436] Remove trailing whitespace

2011-05-31 09:59 am - Holger Just
[#436] Fix test relying on trailing whitespace.

History

2011-05-30 07:29 pm - Holger Just
- Target version set to 2.0.0

- Assignee set to Holger Just

Comitted in commit:07185fb169e7a532a038477a071cca5a50c67cad
2011-05-30 07:29 pm - Holger Just

- Status changed from Open to Closed

2011-05-31 02:33 am - Toshi MARUYAMA
- Status changed from Closed to Open

You should not remove white-spaces from literal.
test/unit/repository_test.rb#test_for_changeset_comments_strip

https://github.com/chiliproject/chiliproject/blob/99507a03/test/unit/repository_test.rb#L110

2011-05-31 08:02 am - Holger Just
- Status changed from Open to Closed

Toshi MARUYAMA wrote:

> You should not remove white-spaces from literal.
| can't really do that without having to actually parse / run the ruby code. And that would be a bit too much a PITA. I'd rather adapt the test to the stated
rules. | changed it to not rely in literal trailing whitespace anymore in commit:db3480bdb693e7172c22491592767cadff85¢393
